[arch-commits] Commit in grep/repos (testing-x86_64 testing-x86_64/PKGBUILD)
Sébastien Luttringer
seblu at archlinux.org
Mon Nov 9 09:42:55 UTC 2020
Date: Monday, November 9, 2020 @ 09:42:55
Author: seblu
Revision: 399658
archrelease: copy trunk to testing-x86_64
Added:
grep/repos/testing-x86_64/
grep/repos/testing-x86_64/PKGBUILD
(from rev 399657, grep/trunk/PKGBUILD)
----------+
PKGBUILD | 47 +++++++++++++++++++++++++++++++++++++++++++++++
1 file changed, 47 insertions(+)
Copied: grep/repos/testing-x86_64/PKGBUILD (from rev 399657, grep/trunk/PKGBUILD)
===================================================================
--- testing-x86_64/PKGBUILD (rev 0)
+++ testing-x86_64/PKGBUILD 2020-11-09 09:42:55 UTC (rev 399658)
@@ -0,0 +1,47 @@
+# Maintainer: Sébastien Luttringer <seblu at archlinux.org>
+# Contributor: Allan McRae <allan at archlinux.org>
+# Contributor: judd <jvinet at zeroflux.org>
+
+pkgname=grep
+pkgver=3.6
+pkgrel=1
+pkgdesc='A string search utility'
+arch=('x86_64')
+license=('GPL3')
+url='https://www.gnu.org/software/grep/'
+groups=('base-devel')
+depends=('glibc' 'pcre')
+makedepends=('texinfo')
+validpgpkeys=('155D3FC500C834486D1EEA677FD9FCCB000BEEEE') # Jim Meyering
+source=("https://ftp.gnu.org/gnu/$pkgname/$pkgname-$pkgver.tar.xz"{,.sig})
+sha256sums=('667e15e8afe189e93f9f21a7cd3a7b3f776202f417330b248c2ad4f997d9373e'
+ 'SKIP')
+
+prepare() {
+ cd $pkgname-$pkgver
+ # apply patch from the source array (should be a pacman feature)
+ local src
+ for src in "${source[@]}"; do
+ src="${src%%::*}"
+ src="${src##*/}"
+ [[ $src = *.patch ]] || continue
+ msg2 "Applying patch $src..."
+ patch -Np1 < "../$src"
+ done
+}
+
+build() {
+ cd $pkgname-$pkgver
+ ./configure --prefix=/usr --without-included-regex
+ make
+}
+
+check() {
+ cd $pkgname-$pkgver
+ make check
+}
+
+package() {
+ cd $pkgname-$pkgver
+ make DESTDIR="$pkgdir" install
+}
More information about the arch-commits
mailing list